<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('anggaran', function (Blueprint $table) {
            $table->id();
            $table->string('nama',100);
            $table->string('bidang',100);
            $table->string('dpa',100);
            $table->string('pdpa',100);
            $table->string('spd_nilai',100);
            $table->string('spd_persen',100);
            $table->string('pkontrak',100);
            $table->string('ppersern',100);
            $table->string('rupdate',100);
            $table->string('sps_persen',100);
            $table->date('bulan',100);
            $table->string('persen_sps',100);
            $table->string('capaian',100);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('anggaran');
    }
};
